# Uses of Enum Class
org.eclipse.emf.cdo.common.protocol.CDOProtocolConstants.UnitOpcode

Packages that use CDOProtocolConstants.UnitOpcode
Package
Description
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOProtocolConstants.UnitOpcode in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOProtocolConstants.UnitOpcode
Modifier and Type
Method
Description
`static CDOProtocolConstants.UnitOpcode`
CDOProtocolConstants.UnitOpcode.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOProtocolConstants.UnitOpcode[]`
CDOProtocolConstants.UnitOpcode.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of CDOProtocolConstants.UnitOpcode in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDOProtocolConstants.UnitOpcode
Modifier and Type
Method
Description
`boolean`
InternalView.`openUnit(CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`

## Uses of CDOProtocolConstants.UnitOpcode in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo with parameters of type CDOProtocolConstants.UnitOpcode
Modifier and Type
Method
Description
`boolean`
CDOSessionProtocol.`requestUnit(int viewID, CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, boolean prefetchLockStates, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor safe)`
`boolean`
CDOSessionProtocol.`requestUnit(int viewID, CDOID rootID, CDOProtocolConstants.UnitOpcode opcode, CDORevisionHandler revisionHandler, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.